%define major		2
%define api		1
%define libname		%mklibname gnome-games-support %{api} %{major}
%define develname	%mklibname gnome-games-support -d

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		libgnome-games-support
Version:	1.2.1
Release:	%mkrel 1
Summary:	Support library for GNOME games
Group:		Development/GNOME and GTK+
License:	LGPLv3+
URL:		https://git.gnome.org/browse/%{name}/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0) >= 2.40
BuildRequires:	pkgconfig(gio-2.0) >= 2.40
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.12
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	intltool

%description
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

#------------------------------------

%package	i18n
Summary:	Support library for GNOME games - translations
Group:		System/Internationalization
BuildArch:	noarch

%description	i18n
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

This package contains translations used by %{name}.

#------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries
Requires:	%{name}-i18n = %{version}-%{release}

%description -n %{libname}
libgnome-games-support is a small library intended for internal use by GNOME Games,
but it may be used by others. The API will only break with the major version
number. The ABI is unstable.

#------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#------------------------------------

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%make_install

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%doc README
%license COPYING.LESSER
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc README
%license COPYING.LESSER
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/*.vapi
%{_includedir}/gnome-games-support-%{api}/
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}*.pc


%changelog
* Tue Oct 25 2016 ovitters <ovitters> 1.2.1-1.mga6
+ Revision: 1063444
- new version 1.2.1

* Thu Sep 22 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 1055215
- new version 1.2.0
- Upstream renamed the package

* Sat May 07 2016 ovitters <ovitters> 1.0.2-1.mga6
+ Revision: 1010120
- new version 1.0.2

* Fri Apr 08 2016 daviddavid <daviddavid> 1.0.1-1.mga6
+ Revision: 999483
- new version: 1.0.1

* Mon Mar 21 2016 ovitters <ovitters> 1.0-1.mga6
+ Revision: 993666
- new version 1.0

* Sun Mar 06 2016 ovitters <ovitters> 0.91-1.mga6
+ Revision: 986871
- new version 0.91

* Tue Feb 16 2016 daviddavid <daviddavid> 0.90-1.mga6
+ Revision: 961903
- imported package libgames-support

